=== modified file 'NEWS'
--- NEWS	2006-03-11 13:25:45 +0000
+++ NEWS	2006-03-12 00:39:17 +0000
@@ -1,38 +1,25 @@
 NEWS
 
-Shelf version 0.8-rc:
+Shelf version 0.8-beta:
 
- * Shelves are now stored in .shelf, sigh. The bzr API for storing things under
+ * Shelves are now stored in .shelf. The bzr API for storing things under
    .bzr is not rich enough at the moment to do all the things the shelf code
-   wants. Switching to .shelf also makes sense if I ever get around to making
-   shelf work on its own.
+   wants.
 
  * There is a new command 'shelf', which has a bunch of subcommands for
    operating on the shelf.
    The current subcommands are:
-    list   (ls)           List the patches currently shelved.
-    delete (del) <patch>  Delete a patch from the shelf.
-
- * Add .shelf to DEFAULT_IGNORE so it's ignored automatically.
+    list   (ls)           List the patches on the current shelf.
+    delete (del) <patch>  Delete a patch from the current shelf.
+    switch       <shelf>  Switch to the named shelf, create it if necessary.
+    show         <patch>  Show the contents of the specified patch.
+
+ * The question when shelving with is now "Shelve this change", rather than
+   "Keep this change", and the y/n choices have been reversed to suit
+   obviously. This seems like a more logical choice of wording.
+
+ * Unshelve now prompts as well, allowing you to selectively unshelve
+   some changes.
 
  * Shelve and unshelve no longer print the diffstat automatically. If you want
    a diffstat then get the diffstat plugin!
-
- * Better error/status messages.
-
-Shelf version 0.7-rc:
-
- * Shelves are now stored in .bzr/x-shelf.
-
-   Currently there is support for one shelf, called 'default'. You can store
-   multiple patches under here, the first is '00' the second '01' and so on.
-
- * The default behaviour is now to shelve everything. To get the previous
-   behaviour of selecting hunks specify "--pick" to the shelve command.
-
- * The question when shelving with --pick is now "Shelve this change", rather
-   than "Keep this change", and the y/n choices have been reversed to suit
-   obviously. This seems like a more logical choice of wording.
-
- * Unshelve now accepts --pick as well, allowing you to selectively unshelve
-   some changes.

